<template>
    <v-navigation-drawer
            dark
            :mini-variant.sync="mini"
            v-model="drawer"
            hide-overlay
            mini-variant-width="75px"
            expand-on-hover
    >
        <v-toolbar flat class="transparent">
            <v-list class="pa-0">
                <v-list-tile avatar>
                    <v-list-tile-avatar>
                        <img src="https://randomuser.me/api/portraits/men/85.jpg">
                    </v-list-tile-avatar>
                    <v-list-tile-content>
                        <v-list-tile-title>{{'پنل مدیریت اوبار'}}</v-list-tile-title>
                    </v-list-tile-content>
                    <v-list-tile-action>
                        <!--<v-btn-->
                        <!--icon-->
                        <!--@click.stop="mini = !mini"-->
                        <!--&gt;-->
                        <!--<v-icon>chevron_right</v-icon>-->
                        <!--</v-btn>-->
                    </v-list-tile-action>

                </v-list-tile>
            </v-list>
        </v-toolbar>

        <v-list class="pt-0" dense>
            <v-divider></v-divider>

            <v-list-tile
                    v-for="item in panelVisibleItems"
                    :key="item.title"
                    v-on:click="item.title !== 'خروج'? undefined : logout()"
                    :to="item.path !== null ? '/'+item.path: undefined"
            >
                <v-list-tile-action>
                    <v-icon>{{ item.icon }}</v-icon>
                </v-list-tile-action>

                <v-list-tile-content>
                    <v-list-tile-title>{{ item.title }}</v-list-tile-title>
                </v-list-tile-content>
            </v-list-tile>
        </v-list>
    </v-navigation-drawer>
</template>

<script>
    import {removeToken} from "../../data/localStorage";
    import * as router from "vue";
    export default {
        name: "drawer",
        props: ['panelVisibleItems'],
        data() {
            return {
                drawer: true,
                mini: false,
                left: null
            }
        },
        methods: {
            logout: function () {
                console.log("aaaaaaaaaaaaaaaaaaaaa");
                removeToken();
                this.$router.go('login')
            },
            setPanelItems: function () {
                this.items.push({title: 'داشبورد', icon: 'dashboard', path: 'dashboard'});
                this.items.push({title: 'خروج', icon: 'logout', path: null})
            }
        }
    }
</script>

<style >
    .v-navigation-drawer{
        transform: translateX(0)!important;
        min-width: 200px;
        max-width: 200px;
    }

</style>
